Freeciv-3.3: /fast/freeciv/nightly/main/common/scriptcore/tolua_game_gen.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Macros | Functions
tolua_game_gen.c File Reference
`#include "tolua.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "api_common_utilities.h"`
`#include "api_game_effects.h"`
`#include "api_game_find.h"`
`#include "api_game_methods.h"`
`#include "luascript_types.h"`

Go to the source code of this file.

## Macros

#define | game_info_substructure game.info

## Functions

int | tolua_bnd_takeownership (lua_State *L)
TOLUA_API int | tolua_game_open (lua_State *tolua_S)
LUALIB_API int | luaopen_game (lua_State *tolua_S)
static void | tolua_reg_types (lua_State *tolua_S)
static int | tolua_get_Player_Player_name (lua_State *tolua_S)
static int | tolua_get_Player_Player_nation_ptr (lua_State *tolua_S)
static int | tolua_set_Player_Player_nation_ptr (lua_State *tolua_S)
static int | tolua_get_Player_Player_government_ptr (lua_State *tolua_S)
static int | tolua_set_Player_Player_government_ptr (lua_State *tolua_S)
static int | tolua_get_Player_Player_is_alive (lua_State *tolua_S)
static int | tolua_set_Player_Player_is_alive (lua_State *tolua_S)
static int | tolua_get_City_City_name (lua_State *tolua_S)
static int | tolua_get_City_City_owner_ptr (lua_State *tolua_S)
static int | tolua_set_City_City_owner_ptr (lua_State *tolua_S)
static int | tolua_get_City_City_original_ptr (lua_State *tolua_S)
static int | tolua_set_City_City_original_ptr (lua_State *tolua_S)
static int | tolua_get_City_City_id (lua_State *tolua_S)
static int | tolua_get_Connection_Connection_id (lua_State *tolua_S)
static int | tolua_get_Unit_Unit_utype_ptr (lua_State *tolua_S)
static int | tolua_set_Unit_Unit_utype_ptr (lua_State *tolua_S)
static int | tolua_get_Unit_Unit_owner_ptr (lua_State *tolua_S)
static int | tolua_set_Unit_Unit_owner_ptr (lua_State *tolua_S)
static int | tolua_get_Unit_Unit_homecity (lua_State *tolua_S)
static int | tolua_set_Unit_Unit_homecity (lua_State *tolua_S)
static int | tolua_get_Unit_Unit_veteran (lua_State *tolua_S)
static int | tolua_set_Unit_Unit_veteran (lua_State *tolua_S)
static int | tolua_get_Unit_Unit_id (lua_State *tolua_S)
static int | tolua_get_Tile_Tile_terrain_ptr (lua_State *tolua_S)
static int | tolua_set_Tile_Tile_terrain_ptr (lua_State *tolua_S)
static int | tolua_get_Tile_Tile_owner_ptr (lua_State *tolua_S)
static int | tolua_set_Tile_Tile_owner_ptr (lua_State *tolua_S)
static int | tolua_get_Tile_Tile_index (lua_State *tolua_S)
static int | tolua_get_Government_Government_item_number (lua_State *tolua_S)
static int | tolua_get_Nation_Type_Nation_Type_item_number (lua_State *tolua_S)
static int | tolua_get_Building_Type_Building_Type_build_cost (lua_State *tolua_S)
static int | tolua_set_Building_Type_Building_Type_build_cost (lua_State *tolua_S)
static int | tolua_get_Building_Type_Building_Type_item_number (lua_State *tolua_S)
static int | tolua_get_Unit_Type_Unit_Type_build_cost (lua_State *tolua_S)
static int | tolua_set_Unit_Type_Unit_Type_build_cost (lua_State *tolua_S)
static int | tolua_get_Unit_Type_Unit_Type_obsoleted_by_ptr (lua_State *tolua_S)
static int | tolua_set_Unit_Type_Unit_Type_obsoleted_by_ptr (lua_State *tolua_S)
static int | tolua_get_Unit_Type_Unit_Type_item_number (lua_State *tolua_S)
static int | tolua_get_Tech_Type_Tech_Type_item_number (lua_State *tolua_S)
static int | tolua_get_Tech_Type_Tech_Type_cost (lua_State *tolua_S)
static int | tolua_get_Terrain_Terrain_item_number (lua_State *tolua_S)
static int | tolua_get_Disaster_Disaster_id (lua_State *tolua_S)
static int | tolua_get_Achievement_Achievement_id (lua_State *tolua_S)
static int | tolua_get_Action_Action_id (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_base_tech_cost (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_min_tech_cost (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_tech_leak_pct (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_tech_steal_allow_holes (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_tech_trade_allow_holes (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_tech_trade_loss_allow_holes (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_tech_parasite_allow_holes (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_tech_loss_allow_holes (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_sciencebox (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_tech_cost_style (lua_State *tolua_S)
static int | tolua_get_Game_Info_Game_Info_tech_leakage (lua_State *tolua_S)
static int | tolua_get_game_game_info_substructure (lua_State *tolua_S)
static int | tolua_set_game_game_info_substructure (lua_State *tolua_S)
static int | tolua_game_game_current_turn00 (lua_State *tolua_S)
static int | tolua_game_game_turn00 (lua_State *tolua_S)
static int | tolua_game_game_current_year00 (lua_State *tolua_S)
static int | tolua_game_game_current_fragment00 (lua_State *tolua_S)
static int | tolua_game_game_current_year_text00 (lua_State *tolua_S)
static int | tolua_game_game_rulesetdir00 (lua_State *tolua_S)
static int | tolua_game_game_ruleset_name00 (lua_State *tolua_S)
static int | tolua_game_Counter_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Counter_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Counter_get00 (lua_State *tolua_S)
static int | tolua_game_Player_properties_id00 (lua_State *tolua_S)
static int | tolua_game_Player_properties_bulbs00 (lua_State *tolua_S)
static int | tolua_game_Player_controlling_gui00 (lua_State *tolua_S)
static int | tolua_game_Player_num_cities00 (lua_State *tolua_S)
static int | tolua_game_Player_num_units00 (lua_State *tolua_S)
static int | tolua_game_Player_num_future_techs00 (lua_State *tolua_S)
static int | tolua_game_Player_has_wonder00 (lua_State *tolua_S)
static int | tolua_game_Player_gold00 (lua_State *tolua_S)
static int | tolua_game_Player_infrapoints00 (lua_State *tolua_S)
static int | tolua_game_Player_knows_tech00 (lua_State *tolua_S)
static int | tolua_game_Player_can_research00 (lua_State *tolua_S)
static int | tolua_game_Player_tech_cost00 (lua_State *tolua_S)
static int | tolua_game_Player_researching00 (lua_State *tolua_S)
static int | tolua_game_Player_researching_cost00 (lua_State *tolua_S)
static int | tolua_game_Player_shares_research00 (lua_State *tolua_S)
static int | tolua_game_Player_research_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Player_research_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Player_culture00 (lua_State *tolua_S)
static int | tolua_game_Player_has_flag00 (lua_State *tolua_S)
static int | tolua_game_Player_can_upgrade00 (lua_State *tolua_S)
static int | tolua_game_Player_can_build_direct00 (lua_State *tolua_S)
static int | tolua_game_Player_can_build_direct01 (lua_State *tolua_S)
static int | tolua_game_methods_private_list_players00 (lua_State *tolua_S)
static int | tolua_game_methods_private_Player_unit_list_head00 (lua_State *tolua_S)
static int | tolua_game_methods_private_Player_city_list_head00 (lua_State *tolua_S)
static int | tolua_game_City_properties_size00 (lua_State *tolua_S)
static int | tolua_game_City_properties_tile00 (lua_State *tolua_S)
static int | tolua_game_City_has_building00 (lua_State *tolua_S)
static int | tolua_game_City_map_sq_radius00 (lua_State *tolua_S)
static int | tolua_game_City_inspire_partisans00 (lua_State *tolua_S)
static int | tolua_game_City_culture00 (lua_State *tolua_S)
static int | tolua_game_City_is_happy00 (lua_State *tolua_S)
static int | tolua_game_City_is_unhappy00 (lua_State *tolua_S)
static int | tolua_game_City_is_celebrating00 (lua_State *tolua_S)
static int | tolua_game_City_is_gov_center00 (lua_State *tolua_S)
static int | tolua_game_City_is_capital00 (lua_State *tolua_S)
static int | tolua_game_City_is_primary_capital00 (lua_State *tolua_S)
static int | tolua_game_City_link_text00 (lua_State *tolua_S)
static int | tolua_game_City_tile_link_text00 (lua_State *tolua_S)
static int | tolua_game_Unit_properties_tile00 (lua_State *tolua_S)
static int | tolua_game_Unit_transporter00 (lua_State *tolua_S)
static int | tolua_game_Unit_is_on_possible_city_tile00 (lua_State *tolua_S)
static int | tolua_game_Unit_can_upgrade00 (lua_State *tolua_S)
static int | tolua_game_Unit_transform_problem00 (lua_State *tolua_S)
static int | tolua_game_Unit_facing00 (lua_State *tolua_S)
static int | tolua_game_Unit_link_text00 (lua_State *tolua_S)
static int | tolua_game_Unit_tile_link_text00 (lua_State *tolua_S)
static int | tolua_game_methods_private_Unit_cargo_list_head00 (lua_State *tolua_S)
static int | tolua_game_Tile_properties_nat_x00 (lua_State *tolua_S)
static int | tolua_game_Tile_properties_nat_y00 (lua_State *tolua_S)
static int | tolua_game_Tile_properties_x00 (lua_State *tolua_S)
static int | tolua_game_Tile_properties_y00 (lua_State *tolua_S)
static int | tolua_game_Tile_city00 (lua_State *tolua_S)
static int | tolua_game_Tile_city_exists_within_max_city_map00 (lua_State *tolua_S)
static int | tolua_game_Tile_has_extra00 (lua_State *tolua_S)
static int | tolua_game_Tile_has_base00 (lua_State *tolua_S)
static int | tolua_game_Tile_has_road00 (lua_State *tolua_S)
static int | tolua_game_Tile_extra_owner00 (lua_State *tolua_S)
static int | tolua_game_Tile_is_enemy00 (lua_State *tolua_S)
static int | tolua_game_Tile_num_units00 (lua_State *tolua_S)
static int | tolua_game_Tile_sq_distance00 (lua_State *tolua_S)
static int | tolua_game_Tile_link_text00 (lua_State *tolua_S)
static int | tolua_game_methods_private_Tile_next_outward_index00 (lua_State *tolua_S)
static int | tolua_game_methods_private_Tile_tile_for_outward_index00 (lua_State *tolua_S)
static int | tolua_game_methods_private_Tile_unit_list_head00 (lua_State *tolua_S)
static int | tolua_game_Government_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Government_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Nation_Type_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Nation_Type_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Nation_Type_plural_translation00 (lua_State *tolua_S)
static int | tolua_game_Building_Type_is_wonder00 (lua_State *tolua_S)
static int | tolua_game_Building_Type_is_great_wonder00 (lua_State *tolua_S)
static int | tolua_game_Building_Type_is_small_wonder00 (lua_State *tolua_S)
static int | tolua_game_Building_Type_is_improvement00 (lua_State *tolua_S)
static int | tolua_game_Building_Type_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Building_Type_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Unit_Type_has_flag00 (lua_State *tolua_S)
static int | tolua_game_Unit_Type_has_role00 (lua_State *tolua_S)
static int | tolua_game_Unit_Type_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Unit_Type_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Unit_Type_can_exist_at_tile00 (lua_State *tolua_S)
static int | tolua_game_Tech_Type_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Tech_Type_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Terrain_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Terrain_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Terrain_class_name00 (lua_State *tolua_S)
static int | tolua_game_Disaster_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Disaster_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Achievement_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Achievement_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Action_rule_name00 (lua_State *tolua_S)
static int | tolua_game_Action_name_translation00 (lua_State *tolua_S)
static int | tolua_game_Action_target_kind00 (lua_State *tolua_S)
static int | tolua_game_Unit_List_Link_data00 (lua_State *tolua_S)
static int | tolua_game_Unit_List_Link_next00 (lua_State *tolua_S)
static int | tolua_game_City_List_Link_data00 (lua_State *tolua_S)
static int | tolua_game_City_List_Link_next00 (lua_State *tolua_S)
static int | tolua_game_find_counter00 (lua_State *tolua_S)
static int | tolua_game_find_counter01 (lua_State *tolua_S)
static int | tolua_game_find_player00 (lua_State *tolua_S)
static int | tolua_game_find_player01 (lua_State *tolua_S)
static int | tolua_game_find_city00 (lua_State *tolua_S)
static int | tolua_game_find_unit00 (lua_State *tolua_S)
static int | tolua_game_find_transport_unit00 (lua_State *tolua_S)
static int | tolua_game_find_tile00 (lua_State *tolua_S)
static int | tolua_game_find_tile01 (lua_State *tolua_S)
static int | tolua_game_find_government00 (lua_State *tolua_S)
static int | tolua_game_find_government01 (lua_State *tolua_S)
static int | tolua_game_find_nation_type00 (lua_State *tolua_S)
static int | tolua_game_find_nation_type01 (lua_State *tolua_S)
static int | tolua_game_find_action00 (lua_State *tolua_S)
static int | tolua_game_find_action01 (lua_State *tolua_S)
static int | tolua_game_find_building_type00 (lua_State *tolua_S)
static int | tolua_game_find_building_type01 (lua_State *tolua_S)
static int | tolua_game_find_unit_type00 (lua_State *tolua_S)
static int | tolua_game_find_unit_type01 (lua_State *tolua_S)
static int | tolua_game_find_role_unit_type00 (lua_State *tolua_S)
static int | tolua_game_find_tech_type00 (lua_State *tolua_S)
static int | tolua_game_find_tech_type01 (lua_State *tolua_S)
static int | tolua_game_find_terrain00 (lua_State *tolua_S)
static int | tolua_game_find_terrain01 (lua_State *tolua_S)
static int | tolua_game_find_achievement00 (lua_State *tolua_S)
static int | tolua_game_find_achievement01 (lua_State *tolua_S)
static int | tolua_game_find_achievement02 (lua_State *tolua_S)
static int | tolua_game_find_disaster00 (lua_State *tolua_S)
static int | tolua_game_find_direction00 (lua_State *tolua_S)
static int | tolua_game_find_direction01 (lua_State *tolua_S)
static int | tolua_game_find_action02 (lua_State *tolua_S)
static int | tolua_game_find_action03 (lua_State *tolua_S)
static int | tolua_game_find_nonexistent00 (lua_State *tolua_S)
static int | tolua_game_effects_world_bonus00 (lua_State *tolua_S)
static int | tolua_game_effects_player_bonus00 (lua_State *tolua_S)
static int | tolua_game_effects_city_bonus00 (lua_State *tolua_S)
static int | tolua_game_effects_unit_bonus00 (lua_State *tolua_S)
static int | tolua_game_effects_tile_bonus00 (lua_State *tolua_S)
static int | tolua_game_effects_unit_vs_tile_bonus00 (lua_State *tolua_S)
static int | tolua_game_Direction_properties_id00 (lua_State *tolua_S)
static int | tolua_game_Direction_properties_name00 (lua_State *tolua_S)
static int | tolua_game_Direction_properties_cardinal00 (lua_State *tolua_S)
static int | tolua_game_direction_str2dir00 (lua_State *tolua_S)
static int | tolua_game_direction_next_ccw00 (lua_State *tolua_S)
static int | tolua_game_direction_next_cw00 (lua_State *tolua_S)
static int | tolua_game_direction_opposite00 (lua_State *tolua_S)

## Macro Definition Documentation

## ◆ game_info_substructure

#define game_info_substructure game.info

Definition at line 29 of file tolua_game_gen.c.

## Function Documentation

## ◆ luaopen_game()

LUALIB_API int luaopen_game | ( | lua_State * | tolua_S | ) |

Definition at line 5158 of file tolua_game_gen.c.

Referenced by tolua_game_open().

## ◆ tolua_bnd_takeownership()

int tolua_bnd_takeownership | ( | lua_State * | L | ) |

## ◆ tolua_game_Achievement_name_translation00()

static int tolua_game_Achievement_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3693 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Achievement_rule_name00()

static int tolua_game_Achievement_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3665 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Action_name_translation00()

static int tolua_game_Action_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3749 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Action_rule_name00()

static int tolua_game_Action_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3721 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Action_target_kind00()

static int tolua_game_Action_target_kind00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3777 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Building_Type_is_great_wonder00()

static int tolua_game_Building_Type_is_great_wonder00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3183 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Building_Type_is_improvement00()

static int tolua_game_Building_Type_is_improvement00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3239 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Building_Type_is_small_wonder00()

static int tolua_game_Building_Type_is_small_wonder00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3211 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Building_Type_is_wonder00()

static int tolua_game_Building_Type_is_wonder00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3155 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Building_Type_name_translation00()

static int tolua_game_Building_Type_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3295 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Building_Type_rule_name00()

static int tolua_game_Building_Type_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3267 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_culture00()

static int tolua_game_City_culture00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2011 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_has_building00()

static int tolua_game_City_has_building00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1923 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_inspire_partisans00()

static int tolua_game_City_inspire_partisans00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1981 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_is_capital00()

static int tolua_game_City_is_capital00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2151 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_is_celebrating00()

static int tolua_game_City_is_celebrating00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2095 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_is_gov_center00()

static int tolua_game_City_is_gov_center00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2123 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_is_happy00()

static int tolua_game_City_is_happy00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2039 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_is_primary_capital00()

static int tolua_game_City_is_primary_capital00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2179 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_is_unhappy00()

static int tolua_game_City_is_unhappy00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2067 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_link_text00()

static int tolua_game_City_link_text00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2207 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_List_Link_data00()

static int tolua_game_City_List_Link_data00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3861 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_List_Link_next00()

static int tolua_game_City_List_Link_next00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3889 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_map_sq_radius00()

static int tolua_game_City_map_sq_radius00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1953 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_properties_size00()

static int tolua_game_City_properties_size00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1867 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_properties_tile00()

static int tolua_game_City_properties_tile00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1895 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_City_tile_link_text00()

static int tolua_game_City_tile_link_text00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2235 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Counter_get00()

static int tolua_game_Counter_get00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1126 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Counter_name_translation00()

static int tolua_game_Counter_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1098 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Counter_rule_name00()

static int tolua_game_Counter_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1070 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_direction_next_ccw00()

static int tolua_game_direction_next_ccw00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 5074 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_direction_next_cw00()

static int tolua_game_direction_next_cw00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 5102 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_direction_opposite00()

static int tolua_game_direction_opposite00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 5130 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Direction_properties_cardinal00()

static int tolua_game_Direction_properties_cardinal00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 5018 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Direction_properties_id00()

static int tolua_game_Direction_properties_id00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4962 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Direction_properties_name00()

static int tolua_game_Direction_properties_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4990 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_direction_str2dir00()

static int tolua_game_direction_str2dir00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 5046 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Disaster_name_translation00()

static int tolua_game_Disaster_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3637 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Disaster_rule_name00()

static int tolua_game_Disaster_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3609 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_effects_city_bonus00()

static int tolua_game_effects_city_bonus00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4834 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_effects_player_bonus00()

static int tolua_game_effects_player_bonus00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4804 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_effects_tile_bonus00()

static int tolua_game_effects_tile_bonus00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4896 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_effects_unit_bonus00()

static int tolua_game_effects_unit_bonus00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4864 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_effects_unit_vs_tile_bonus00()

static int tolua_game_effects_unit_vs_tile_bonus00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4930 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_effects_world_bonus00()

static int tolua_game_effects_world_bonus00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4776 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_achievement00()

static int tolua_game_find_achievement00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4551 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_achievement01().

## ◆ tolua_game_find_achievement01()

static int tolua_game_find_achievement01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4579 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_achievement02().

## ◆ tolua_game_find_achievement02()

static int tolua_game_find_achievement02 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4602 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_action00()

static int tolua_game_find_action00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4266 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_action01().

## ◆ tolua_game_find_action01()

static int tolua_game_find_action01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4294 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_action02().

## ◆ tolua_game_find_action02()

static int tolua_game_find_action02 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4704 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_action03().

## ◆ tolua_game_find_action03()

static int tolua_game_find_action03 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4727 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_building_type00()

static int tolua_game_find_building_type00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4317 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_building_type01().

## ◆ tolua_game_find_building_type01()

static int tolua_game_find_building_type01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4345 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_city00()

static int tolua_game_find_city00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4019 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_counter00()

static int tolua_game_find_counter00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3917 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_counter01().

## ◆ tolua_game_find_counter01()

static int tolua_game_find_counter01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3945 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_direction00()

static int tolua_game_find_direction00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4653 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_direction01().

## ◆ tolua_game_find_direction01()

static int tolua_game_find_direction01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4681 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_disaster00()

static int tolua_game_find_disaster00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4625 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_government00()

static int tolua_game_find_government00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4164 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_government01().

## ◆ tolua_game_find_government01()

static int tolua_game_find_government01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4192 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_nation_type00()

static int tolua_game_find_nation_type00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4215 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_nation_type01().

## ◆ tolua_game_find_nation_type01()

static int tolua_game_find_nation_type01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4243 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_nonexistent00()

static int tolua_game_find_nonexistent00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4750 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_player00()

static int tolua_game_find_player00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3968 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_player01().

## ◆ tolua_game_find_player01()

static int tolua_game_find_player01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3996 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_role_unit_type00()

static int tolua_game_find_role_unit_type00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4419 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_tech_type00()

static int tolua_game_find_tech_type00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4449 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_tech_type01().

## ◆ tolua_game_find_tech_type01()

static int tolua_game_find_tech_type01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4477 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_terrain00()

static int tolua_game_find_terrain00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4500 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_terrain01().

## ◆ tolua_game_find_terrain01()

static int tolua_game_find_terrain01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4528 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_tile00()

static int tolua_game_find_tile00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4111 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_tile01().

## ◆ tolua_game_find_tile01()

static int tolua_game_find_tile01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4141 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_transport_unit00()

static int tolua_game_find_transport_unit00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4079 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_unit00()

static int tolua_game_find_unit00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4049 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_find_unit_type00()

static int tolua_game_find_unit_type00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4368 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_find_unit_type01().

## ◆ tolua_game_find_unit_type01()

static int tolua_game_find_unit_type01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 4396 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_game_current_fragment00()

static int tolua_game_game_current_fragment00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 966 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_game_current_turn00()

static int tolua_game_game_current_turn00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 888 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_game_current_year00()

static int tolua_game_game_current_year00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 940 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_game_current_year_text00()

static int tolua_game_game_current_year_text00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 992 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_game_ruleset_name00()

static int tolua_game_game_ruleset_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1044 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_game_rulesetdir00()

static int tolua_game_game_rulesetdir00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1018 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_game_turn00()

static int tolua_game_game_turn00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 914 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Government_name_translation00()

static int tolua_game_Government_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3043 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Government_rule_name00()

static int tolua_game_Government_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3015 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_methods_private_list_players00()

static int tolua_game_methods_private_list_players00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1785 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_methods_private_Player_city_list_head00()

static int tolua_game_methods_private_Player_city_list_head00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1839 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_methods_private_Player_unit_list_head00()

static int tolua_game_methods_private_Player_unit_list_head00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1811 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_methods_private_Tile_next_outward_index00()

static int tolua_game_methods_private_Tile_next_outward_index00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2925 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_methods_private_Tile_tile_for_outward_index00()

static int tolua_game_methods_private_Tile_tile_for_outward_index00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2957 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_methods_private_Tile_unit_list_head00()

static int tolua_game_methods_private_Tile_unit_list_head00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2987 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_methods_private_Unit_cargo_list_head00()

static int tolua_game_methods_private_Unit_cargo_list_head00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2491 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Nation_Type_name_translation00()

static int tolua_game_Nation_Type_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3099 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Nation_Type_plural_translation00()

static int tolua_game_Nation_Type_plural_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3127 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Nation_Type_rule_name00()

static int tolua_game_Nation_Type_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3071 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_open()

TOLUA_API int tolua_game_open | ( | lua_State * | tolua_S | ) |

Definition at line 5817 of file tolua_game_gen.c.

Referenced by script_client_init(), script_fcdb_init(), and script_server_init().

## ◆ tolua_game_Player_can_build_direct00()

static int tolua_game_Player_can_build_direct00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1730 of file tolua_game_gen.c.

Referenced by luaopen_game(), and tolua_game_Player_can_build_direct01().

## ◆ tolua_game_Player_can_build_direct01()

static int tolua_game_Player_can_build_direct01 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1760 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_can_research00()

static int tolua_game_Player_can_research00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1440 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_can_upgrade00()

static int tolua_game_Player_can_upgrade00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1700 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_controlling_gui00()

static int tolua_game_Player_controlling_gui00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1212 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_culture00()

static int tolua_game_Player_culture00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1642 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_gold00()

static int tolua_game_Player_gold00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1354 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_has_flag00()

static int tolua_game_Player_has_flag00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1670 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_has_wonder00()

static int tolua_game_Player_has_wonder00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1324 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_infrapoints00()

static int tolua_game_Player_infrapoints00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1382 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_knows_tech00()

static int tolua_game_Player_knows_tech00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1410 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_num_cities00()

static int tolua_game_Player_num_cities00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1240 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_num_future_techs00()

static int tolua_game_Player_num_future_techs00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1296 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_num_units00()

static int tolua_game_Player_num_units00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1268 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_properties_bulbs00()

static int tolua_game_Player_properties_bulbs00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1184 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_properties_id00()

static int tolua_game_Player_properties_id00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1156 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_research_name_translation00()

static int tolua_game_Player_research_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1614 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_research_rule_name00()

static int tolua_game_Player_research_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1586 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_researching00()

static int tolua_game_Player_researching00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1500 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_researching_cost00()

static int tolua_game_Player_researching_cost00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1528 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_shares_research00()

static int tolua_game_Player_shares_research00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1556 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Player_tech_cost00()

static int tolua_game_Player_tech_cost00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 1470 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tech_Type_name_translation00()

static int tolua_game_Tech_Type_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3497 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tech_Type_rule_name00()

static int tolua_game_Tech_Type_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3469 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Terrain_class_name00()

static int tolua_game_Terrain_class_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3581 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Terrain_name_translation00()

static int tolua_game_Terrain_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3553 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Terrain_rule_name00()

static int tolua_game_Terrain_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3525 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_city00()

static int tolua_game_Tile_city00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2631 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_city_exists_within_max_city_map00()

static int tolua_game_Tile_city_exists_within_max_city_map00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2659 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_extra_owner00()

static int tolua_game_Tile_extra_owner00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2779 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_has_base00()

static int tolua_game_Tile_has_base00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2719 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_has_extra00()

static int tolua_game_Tile_has_extra00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2689 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_has_road00()

static int tolua_game_Tile_has_road00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2749 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_is_enemy00()

static int tolua_game_Tile_is_enemy00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2809 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_link_text00()

static int tolua_game_Tile_link_text00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2897 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_num_units00()

static int tolua_game_Tile_num_units00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2839 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_properties_nat_x00()

static int tolua_game_Tile_properties_nat_x00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2519 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_properties_nat_y00()

static int tolua_game_Tile_properties_nat_y00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2547 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_properties_x00()

static int tolua_game_Tile_properties_x00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2575 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_properties_y00()

static int tolua_game_Tile_properties_y00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2603 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Tile_sq_distance00()

static int tolua_game_Tile_sq_distance00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2867 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_can_upgrade00()

static int tolua_game_Unit_can_upgrade00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2347 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_facing00()

static int tolua_game_Unit_facing00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2407 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_is_on_possible_city_tile00()

static int tolua_game_Unit_is_on_possible_city_tile00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2319 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_link_text00()

static int tolua_game_Unit_link_text00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2435 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_List_Link_data00()

static int tolua_game_Unit_List_Link_data00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3805 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_List_Link_next00()

static int tolua_game_Unit_List_Link_next00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3833 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_properties_tile00()

static int tolua_game_Unit_properties_tile00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2263 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_tile_link_text00()

static int tolua_game_Unit_tile_link_text00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2463 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_transform_problem00()

static int tolua_game_Unit_transform_problem00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2377 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_transporter00()

static int tolua_game_Unit_transporter00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 2291 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_Type_can_exist_at_tile00()

static int tolua_game_Unit_Type_can_exist_at_tile00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3439 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_Type_has_flag00()

static int tolua_game_Unit_Type_has_flag00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3323 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_Type_has_role00()

static int tolua_game_Unit_Type_has_role00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3353 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_Type_name_translation00()

static int tolua_game_Unit_Type_name_translation00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3411 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_game_Unit_Type_rule_name00()

static int tolua_game_Unit_Type_rule_name00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 3383 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Achievement_Achievement_id()

static int tolua_get_Achievement_Achievement_id | ( | lua_State * | tolua_S | ) |

static

Definition at line 687 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Action_Action_id()

static int tolua_get_Action_Action_id | ( | lua_State * | tolua_S | ) |

static

Definition at line 701 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Building_Type_Building_Type_build_cost()

static int tolua_get_Building_Type_Building_Type_build_cost | ( | lua_State * | tolua_S | ) |

static

Definition at line 510 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Building_Type_Building_Type_item_number()

static int tolua_get_Building_Type_Building_Type_item_number | ( | lua_State * | tolua_S | ) |

static

Definition at line 541 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_City_City_id()

static int tolua_get_City_City_id | ( | lua_State * | tolua_S | ) |

static

Definition at line 240 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_City_City_name()

static int tolua_get_City_City_name | ( | lua_State * | tolua_S | ) |

static

Definition at line 164 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_City_City_original_ptr()

static int tolua_get_City_City_original_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 209 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_City_City_owner_ptr()

static int tolua_get_City_City_owner_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 178 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Connection_Connection_id()

static int tolua_get_Connection_Connection_id | ( | lua_State * | tolua_S | ) |

static

Definition at line 254 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Disaster_Disaster_id()

static int tolua_get_Disaster_Disaster_id | ( | lua_State * | tolua_S | ) |

static

Definition at line 673 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_game_game_info_substructure()

static int tolua_get_game_game_info_substructure | ( | lua_State * | tolua_S | ) |

static

Definition at line 869 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_base_tech_cost()

static int tolua_get_Game_Info_Game_Info_base_tech_cost | ( | lua_State * | tolua_S | ) |

static

Definition at line 715 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_min_tech_cost()

static int tolua_get_Game_Info_Game_Info_min_tech_cost | ( | lua_State * | tolua_S | ) |

static

Definition at line 729 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_sciencebox()

static int tolua_get_Game_Info_Game_Info_sciencebox | ( | lua_State * | tolua_S | ) |

static

Definition at line 827 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_tech_cost_style()

static int tolua_get_Game_Info_Game_Info_tech_cost_style | ( | lua_State * | tolua_S | ) |

static

Definition at line 841 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_tech_leak_pct()

static int tolua_get_Game_Info_Game_Info_tech_leak_pct | ( | lua_State * | tolua_S | ) |

static

Definition at line 743 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_tech_leakage()

static int tolua_get_Game_Info_Game_Info_tech_leakage | ( | lua_State * | tolua_S | ) |

static

Definition at line 855 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_tech_loss_allow_holes()

static int tolua_get_Game_Info_Game_Info_tech_loss_allow_holes | ( | lua_State * | tolua_S | ) |

static

Definition at line 813 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_tech_parasite_allow_holes()

static int tolua_get_Game_Info_Game_Info_tech_parasite_allow_holes | ( | lua_State * | tolua_S | ) |

static

Definition at line 799 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_tech_steal_allow_holes()

static int tolua_get_Game_Info_Game_Info_tech_steal_allow_holes | ( | lua_State * | tolua_S | ) |

static

Definition at line 757 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_tech_trade_allow_holes()

static int tolua_get_Game_Info_Game_Info_tech_trade_allow_holes | ( | lua_State * | tolua_S | ) |

static

Definition at line 771 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Game_Info_Game_Info_tech_trade_loss_allow_holes()

static int tolua_get_Game_Info_Game_Info_tech_trade_loss_allow_holes | ( | lua_State * | tolua_S | ) |

static

Definition at line 785 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Government_Government_item_number()

static int tolua_get_Government_Government_item_number | ( | lua_State * | tolua_S | ) |

static

Definition at line 482 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Nation_Type_Nation_Type_item_number()

static int tolua_get_Nation_Type_Nation_Type_item_number | ( | lua_State * | tolua_S | ) |

static

Definition at line 496 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Player_Player_government_ptr()

static int tolua_get_Player_Player_government_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 102 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Player_Player_is_alive()

static int tolua_get_Player_Player_is_alive | ( | lua_State * | tolua_S | ) |

static

Definition at line 133 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Player_Player_name()

static int tolua_get_Player_Player_name | ( | lua_State * | tolua_S | ) |

static

Definition at line 57 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Player_Player_nation_ptr()

static int tolua_get_Player_Player_nation_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 71 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Tech_Type_Tech_Type_cost()

static int tolua_get_Tech_Type_Tech_Type_cost | ( | lua_State * | tolua_S | ) |

static

Definition at line 645 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Tech_Type_Tech_Type_item_number()

static int tolua_get_Tech_Type_Tech_Type_item_number | ( | lua_State * | tolua_S | ) |

static

Definition at line 631 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Terrain_Terrain_item_number()

static int tolua_get_Terrain_Terrain_item_number | ( | lua_State * | tolua_S | ) |

static

Definition at line 659 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Tile_Tile_index()

static int tolua_get_Tile_Tile_index | ( | lua_State * | tolua_S | ) |

static

Definition at line 468 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Tile_Tile_owner_ptr()

static int tolua_get_Tile_Tile_owner_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 437 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Tile_Tile_terrain_ptr()

static int tolua_get_Tile_Tile_terrain_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 406 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Unit_Type_Unit_Type_build_cost()

static int tolua_get_Unit_Type_Unit_Type_build_cost | ( | lua_State * | tolua_S | ) |

static

Definition at line 555 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Unit_Type_Unit_Type_item_number()

static int tolua_get_Unit_Type_Unit_Type_item_number | ( | lua_State * | tolua_S | ) |

static

Definition at line 617 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Unit_Type_Unit_Type_obsoleted_by_ptr()

static int tolua_get_Unit_Type_Unit_Type_obsoleted_by_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 586 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Unit_Unit_homecity()

static int tolua_get_Unit_Unit_homecity | ( | lua_State * | tolua_S | ) |

static

Definition at line 330 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Unit_Unit_id()

static int tolua_get_Unit_Unit_id | ( | lua_State * | tolua_S | ) |

static

Definition at line 392 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Unit_Unit_owner_ptr()

static int tolua_get_Unit_Unit_owner_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 299 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Unit_Unit_utype_ptr()

static int tolua_get_Unit_Unit_utype_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 268 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_get_Unit_Unit_veteran()

static int tolua_get_Unit_Unit_veteran | ( | lua_State * | tolua_S | ) |

static

Definition at line 361 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_reg_types()

static void tolua_reg_types | ( | lua_State * | tolua_S | ) |

static

Definition at line 32 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Building_Type_Building_Type_build_cost()

static int tolua_set_Building_Type_Building_Type_build_cost | ( | lua_State * | tolua_S | ) |

static

Definition at line 524 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_City_City_original_ptr()

static int tolua_set_City_City_original_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 223 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_City_City_owner_ptr()

static int tolua_set_City_City_owner_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 192 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_game_game_info_substructure()

static int tolua_set_game_game_info_substructure | ( | lua_State * | tolua_S | ) |

static

Definition at line 876 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Player_Player_government_ptr()

static int tolua_set_Player_Player_government_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 116 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Player_Player_is_alive()

static int tolua_set_Player_Player_is_alive | ( | lua_State * | tolua_S | ) |

static

Definition at line 147 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Player_Player_nation_ptr()

static int tolua_set_Player_Player_nation_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 85 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Tile_Tile_owner_ptr()

static int tolua_set_Tile_Tile_owner_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 451 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Tile_Tile_terrain_ptr()

static int tolua_set_Tile_Tile_terrain_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 420 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Unit_Type_Unit_Type_build_cost()

static int tolua_set_Unit_Type_Unit_Type_build_cost | ( | lua_State * | tolua_S | ) |

static

Definition at line 569 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Unit_Type_Unit_Type_obsoleted_by_ptr()

static int tolua_set_Unit_Type_Unit_Type_obsoleted_by_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 600 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Unit_Unit_homecity()

static int tolua_set_Unit_Unit_homecity | ( | lua_State * | tolua_S | ) |

static

Definition at line 344 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Unit_Unit_owner_ptr()

static int tolua_set_Unit_Unit_owner_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 313 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Unit_Unit_utype_ptr()

static int tolua_set_Unit_Unit_utype_ptr | ( | lua_State * | tolua_S | ) |

static

Definition at line 282 of file tolua_game_gen.c.

Referenced by luaopen_game().

## ◆ tolua_set_Unit_Unit_veteran()

static int tolua_set_Unit_Unit_veteran | ( | lua_State * | tolua_S | ) |

static

Definition at line 375 of file tolua_game_gen.c.

Referenced by luaopen_game().